Subject: bug#32511: mariadb 10.1.35 fails to build on x86_64

From: Mark H Weaver <[email-masked]>
Date: Thu, 23 Aug 2018 16:07:26 -0400

[email-masked] (Ludovic Courtès) writes:

> On berlin, mariadb 10.1.35 has one test failure (this is
> /gnu/store/a5jm2hyalyblgjnxx5x3ly4fwvfivq5m-mariadb-10.1.35.drv, as
> found in Guix commit b0cb92b2d43a2c4d5fa9b3f8c04c5732c60061e7, for
> instance):

FWIW, after staging was merged, I also ran into a problem building
mariadb on my x86_64 GuixSD system, where I build everything locally.
It failed several times in a row, always with just 1 test failure.  The
problem turned out to be that I didn't have enough free disk space.
Buried in the mountains of output, which I found quite difficult to
navigate (searching for "[ fail ]" helped), I eventually found a message
about unsufficient space.  5 GB of free space wasn't enough, but ~12 GB
was.

      Mark